I must of accidentally installed a beta version of aim. It expired today, so I deleted it with AppCleaner. I went to aim.com to get the latest .dmg file, but when I try to install it, it says I cannot install it on my OSX drive, because a newer version already exists.

How do I fix this?